#
# spec file for package kdeartwork4-noarch (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdeartwork4-noarch
BuildRequires:  fdupes kdebase4-workspace-devel xscreensaver
License:        GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        kdeartwork base package
Url:            http://www.kde.org
Version:        4.3.5
Release:        0.1.1
Source0:        kdeartwork-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package suggests the packages which are built from the kdeartwork
module.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdeartwork-%version

%build
  %cmake_kde4 -d build
  cd emoticons
  make
  cd ../IconThemes
  make
  cd ../sounds
  make
  cd ../wallpapers
  make
  cd ../desktopthemes
  make
  cd ../WeatherWallpapers
  make

%install
  cd build/emoticons
  %makeinstall
  cd ../IconThemes
  %makeinstall
  cd ../sounds
  %makeinstall
  cd ../wallpapers
  %makeinstall
  cd ../desktopthemes
  %makeinstall
  cd ../WeatherWallpapers
  %makeinstall
  %fdupes -s $RPM_BUILD_ROOT

%clean
  rm -rf $RPM_BUILD_ROOT

%package -n kdeartwork4-emoticons
License:        No license agreement found in package ; GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        Emoticons package

%description -n kdeartwork4-emoticons
This package contains pictures for usage in eg instant messengers.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdeartwork4-emoticons
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
/usr/share/emoticons

%package -n kdeartwork4-icons
License:        No license agreement found in package ; GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        KDE icon packages
%kde4_runtime_requires

%description -n kdeartwork4-icons
This package contains the icon themes which are contained in the
kdeartwork module.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdeartwork4-icons
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
/usr/share/icons/*

%package -n kdeartwork4-sounds
License:        No license agreement found in package ; GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        KDE sound package
%kde4_runtime_requires

%description -n kdeartwork4-sounds
This package contains the sounds which originate from the kdeartwork
module.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdeartwork4-sounds
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
/usr/share/sounds/*

%package -n kdeartwork4-wallpapers
License:        No license agreement found in package ; GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        Wallpapers package
%if %suse_version < 1031
Conflicts:      kdeartwork3
%endif
%kde4_runtime_requires

%description -n kdeartwork4-wallpapers
This package contains the wallpapers which originate from the
kdeartwork module.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdeartwork4-wallpapers
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
%exclude /usr/share/wallpapers/At_Night
%exclude /usr/share/wallpapers/Beach_Reflecting_Clouds
%exclude /usr/share/wallpapers/Hail
%exclude /usr/share/wallpapers/Icy_Tree
%exclude /usr/share/wallpapers/JK_Bridge_at_Night
%exclude /usr/share/wallpapers/Lightning
%exclude /usr/share/wallpapers/Winter_Track
/usr/share/wallpapers

%package -n kdeartwork4-weatherwallpapers
License:        No license agreement found in package ; GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        Weather Wallpapers package
Supplements:    plasma-addons

%description -n kdeartwork4-weatherwallpapers
This package contains the wallpapers which are used by the Plasma
wallpaper plugin.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdeartwork4-weatherwallpapers
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
/usr/share/wallpapers/At_Night
/usr/share/wallpapers/Beach_Reflecting_Clouds
/usr/share/wallpapers/Hail
/usr/share/wallpapers/Icy_Tree
/usr/share/wallpapers/JK_Bridge_at_Night
/usr/share/wallpapers/Lightning
/usr/share/wallpapers/Winter_Track

%package -n kdeartwork4-desktopthemes
License:        GPLv2 ; GPLv2+ ; LGPLv2.1 ; LGPLv2.1+
Group:          System/GUI/KDE
Summary:        kdeartwork base package
Provides:       kde4-plasma-addons:/usr/share/kde4/apps/desktoptheme/Elegance/dialogs/background.svg
%kde4_runtime_requires

%description -n kdeartwork4-desktopthemes
This package suggests the packages which are built from the kdeartwork
module.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n kdeartwork4-desktopthemes
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
/usr/share/kde4/apps/desktoptheme/Clean-Blend
/usr/share/kde4/apps/desktoptheme/Elegance
/usr/share/kde4/apps/desktoptheme/Silicon
/usr/share/kde4/apps/desktoptheme/heron
/usr/share/kde4/apps/desktoptheme/slim-glow

%package -n plasma-theme-aya
License:        GPLv2 ; GPLv2 or later, LGPLv2 or later, LGPLv3, BSD3 aggregation
Group:          System/GUI/KDE
Summary:        Theme for Plasma

%description -n  plasma-theme-aya
This package contains the Plasma theme Aya.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n plasma-theme-aya
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC README
/usr/share/kde4/apps/desktoptheme/Aya

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff: translation updates
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Sat Aug  8 2009 beineri@opensuse.org
- put weather wallpapers into kdeartwork4-weatherwallpapers package
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Thu Jul  9 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Tue May 12 2009 dmueller@suse.de
- add missing runtime requires to ensure smooth dependency switch
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Sun Feb  8 2009 coolo@suse.de
- update 4_2_branch to get support for xscreensaver fixed
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Sat Jan 10 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Fri Sep  5 2008 stbinner@suse.de
- split off kde4-style-phase sub-package
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Mon Jul  7 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Mon Apr 21 2008 dmueller@suse.de
- fix file lists
- branch diff update (new translations)
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Fri Feb 15 2008 dmueller@suse.de
- update KDE_4_0_BRANCH.diff
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 20 2008 stbinner@suse.de
- update KDE_4_0_BRANCH.diff
* Sat Jan  5 2008 dmueller@suse.de
- update to 4.0
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Thu Dec 20 2007 stbinner@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Tue Nov  6 2007 dmueller@suse.de
- update to 3.95.2
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Thu Nov  1 2007 dmueller@suse.de
- updaste to KDE 4.0 Beta4
* Fri Oct 19 2007 ro@suse.de
- added directories to filelist
* Tue Oct 16 2007 dmueller@suse.de
- update to 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720131
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717255
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712059
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703904
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700755
* Wed Aug 15 2007 stbinner@suse.de
- fix more file conflicts
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697375
- fix file conflicts
* Sun Jul 29 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn686325
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn678437, run fdupes
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Mon May 21 2007 stbinner@suse.de
- initial package in abuild
